/**
 * @file 被缓存的页面，切换到其他页面再切换回来时，重新加载页面数据
 */
import { onActivated, ref } from 'vue';

let reload: () => void;

const activatedReload = () => {
  const isOnActivated = ref(false);
  onActivated(() => {
    if (isOnActivated.value) {
      reload();
    } else {
      isOnActivated.value = true;
    }
  });
};

export function useActivatedReload(reloadFunc) {
  reload = reloadFunc;
  return activatedReload;
}
